mixin slideshow(...slides)
  //-
  //- slide = {src: "htttp://...", caption: "My caption"}
  //-
  .orbit(role='region' aria-label='Event Photos' data-orbit data-options='animInFromLeft:fade-in; animInFromRight:fade-in; animOutToLeft:fade-out; animOutToRight:fade-out;')
    ul.orbit-container(tabindex='0' style='height: 750px;')
      each slide, i in slides
        li.orbit-slide(data-slide=i style=i==0 ? '' : 'display: none;')
          img.orbit-image(src=slide.src, alt=slide.caption)
          figcaption.orbit-caption= slide.caption
    nav.orbit-bullets
      each slide, i in slides
        button(data-slide=i class=i==0 ? 'is-active' : '')
          span.show-for-sr= slide.caption
      span.show-for-sr Current Slide
